/////////////////////////////////////////////////////////////////////////
//IBM Confidential
//
//OCO Source Materials
//
//5724-E76 and 5724-E77
//
// Copyright IBM Corp.  2005
//
//The source code for this program is not published or other-
//wise divested of its trade secrets, irrespective of what has
//been deposited with the U.S. Copyright Office.
/////////////////////////////////////////////////////////////////////////
package com.ibm.faces.bf.component;
import com.ibm.odcb.jrender.misc.Streamer;
/**
* <strong>UIButtonPanel</strong> is a {@link javax.faces.component.UIComponent UIComponent}
* that represents the button panel inside a {@link com.ibm.faces.bf.component.UITabbedPanel UITabbedPanel}
* <p>
* <b>Tags:</b> {@link com.ibm.faces.bf.taglib.ButtonPanelTag}<br>
* <b>Renderers:</b> {@link com.ibm.faces.bf.renderkit.ButtonPanelRenderer}
* </p>
* @see UIBrowserFramework
* @author Declan Fahey
*/
public class UIButtonPanel extends UIBrowserFramework
{
	/**
	 * <p>The standard component family for this component.</p>
	 */
	private static final String COMPONENT_FAMILY = "com.ibm.faces.bf.ButtonPanel";
	

	
	//	Constructors and Initializers    
	public UIButtonPanel()
	{
		super();
		Streamer.trace.Header().println("enter UIButtonPanel() of UIButtonPanel.java");
	}
	
	
	
	/* 
	 * @see javax.faces.component.UIComponent#getFamily()
	 */
	public String getFamily() {
		return COMPONENT_FAMILY;
	}

}