/////////////////////////////////////////////////////////////////////////
//IBM Confidential
//
//OCO Source Materials
//
//5724-E76 and 5724-E77
//
// Copyright IBM Corp.  2003
//
//The source code for this program is not published or other-
//wise divested of its trade secrets, irrespective of what has
//been deposited with the U.S. Copyright Office.
/////////////////////////////////////////////////////////////////////////
package com.ibm.faces.bf.portal;
import java.io.IOException;
import java.io.Writer;

import com.ibm.odcb.jrender.misc.URLRewriter;
//import com.ibm.odcb.jrender.mediators.ExportException;

/**
 * @author kaushal
 *
 */
public class URLPrinter 
{
	//public static String _prefix  = "";
	//public static String _postfix = "";

	// empty constructor
	public URLPrinter()
	{
	}
	
	
	public static void exportMiscellaneous(Writer out, URLRewriter urlRewriter) throws IOException
	{
		final String SAMPLE_URL = "jsl_css/x.css";
		String Rewritten = urlRewriter.Rewrite(SAMPLE_URL);
		// Let's extract those prefix and postfix strings
		//int i = Rewritten.lastIndexOf(SAMPLE_URL);
		/*if (i == -1)
		 {
		   throw new ExportException("The supplied URLRewriter rewrote '"+Rewritten
									 +"' as '"+Rewritten
									 +"', which is improper. Proper Rewriters cannot mangle the URL passed in.");
		 }*/
		//String Prefix = Rewritten.substring(0, i);
		//String Postfix= Rewritten.substring(i+SAMPLE_URL.length(), Rewritten.length());
		String URLPrefix = "getURLPrefix(\"" + Rewritten + "\",\"" + SAMPLE_URL + "\")";
		String URLPostfix = "getURLPostfix(\"" + Rewritten + "\",\"" + SAMPLE_URL + "\")";
		out.write("<script type=\"text/javascript\">"); out.write("\n");
		
		
		out.write(" var URL_REWRITER_PREFIX="+URLPrefix+"; var URL_REWRITER_POSTFIX="+URLPostfix+";");
		
		
		out.write("</script>");
		
		//_prefix  = Prefix;
		//_postfix = Postfix;
	}
}
