/////////////////////////////////////////////////////////////////////////
//IBM Confidential
//
//OCO Source Materials
//
//5724-E76 and 5724-E77
//
// Copyright IBM Corp.  2003
//
//The source code for this program is not published or other-
//wise divested of its trade secrets, irrespective of what has
//been deposited with the U.S. Copyright Office.
/////////////////////////////////////////////////////////////////////////

package com.ibm.faces.bf.util;


/**
 * This class contains literal strings used throughout the Faces RI.
 */
public class BrowserFrameworkConstants {

    public static final String URL_PREFIX = "/faces";
	public static final String SERVER_CODE_PREFIX = "sc_";
    
    /**
     * Used to add uniqueness to the names.
    */
    public final static String FACES_PREFIX = "com.ibm.faces.browserFramework";

    /**
     * <p>String identifer for <em>bundle attribute.</em>.</p>
     */
    public static final String BUNDLE_ATTR = FACES_PREFIX + "bundle";
    
	public static final String VALUE_ATTR = FACES_PREFIX + "value";
	
	public static final String MODELNAME_ATTR = FACES_PREFIX + "modelName";


    public static final String APPLICATION = "application";
    public static final String APPLICATION_SCOPE = "applicationScope";
    public static final String SESSION = "session";
    public static final String SESSION_SCOPE = "sessionScope";
    public static final String REQUEST = "request";
    public static final String REQUEST_SCOPE = "requestScope";

    public static boolean IS_UNIT_TEST_MODE = false;

}
