/////////////////////////////////////////////////////////////////////////
//IBM Confidential
//
//OCO Source Materials
//
//PID xxxx-xxx
//
// Copyright IBM Corp.  2003
//
//The source code for this program is not published or other-
//wise divested of its trade secrets, irrespective of what has
//been deposited with the U.S. Copyright Office.
/////////////////////////////////////////////////////////////////////////

package com.ibm.odcb.jrender.misc;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * @author ldh
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class ListUtil
 {
   // LDH-note: The following method names are strange, but there is a reason. They are used as
   // part of code gen activities, and we have the Java type (char, int, etc...). It's then very
   // easy to create the method name by just putting in the actual Java type. If we had used names 
   // such as toIntArray, this would have required that we make the first letter uppercase, and this
   // is always very bad regarding performance in Java.
   public static char[] to_charArray(List L)
    {
      if (L == null)
       return null;
      char[] A = new char[L.size()];
      for (int i = 0; i < L.size(); ++i)
       {
         A[i] = ((Character)L.get(i)).charValue();
       }
      return A;
    }
   public static boolean[] to_booleanArray(List L)
    {
      if (L == null)
       return null;
      boolean[] A = new boolean[L.size()];
      for (int i = 0; i < L.size(); ++i)
       {
         A[i] = ((Boolean)L.get(i)).booleanValue();
       }
      return A;
    }
   public static double[] to_doubleArray(List L)
    {
      if (L == null)
       return null;
      double[] A = new double[L.size()];
      for (int i = 0; i < L.size(); ++i)
       {
         A[i] = ((Double)L.get(i)).doubleValue();
       }
      return A;
    }
   public static float[] to_floatArray(List L)
    {
      if (L == null)
       return null;
      float[] A = new float[L.size()];
      for (int i = 0; i < L.size(); ++i)
       {
         A[i] = ((Float)L.get(i)).floatValue();
       }
      return A;
    }
   public static int[] to_intArray(List L)
    {
      if (L == null)
       return null;
      int[] A = new int[L.size()];
      for (int i = 0; i < L.size(); ++i)
       {
         A[i] = ((Integer)L.get(i)).intValue();
       }
      return A;
    }
   public static long[] to_longArray(List L)
    {
      if (L == null)
       return null;
      long[] A = new long[L.size()];
      for (int i = 0; i < L.size(); ++i)
       {
         A[i] = ((Long)L.get(i)).longValue();
       }
      return A;
    }
   public static short[] to_shortArray(List L)
    {
      if (L == null)
       return null;
      short[] A = new short[L.size()];
      for (int i = 0; i < L.size(); ++i)
       {
         A[i] = ((Short)L.get(i)).shortValue();
       }
      return A;
    }
   public static byte[] to_byteArray(List L)
    {
      if (L == null)
       return null;
      byte[] A = new byte[L.size()];
      for (int i = 0; i < L.size(); ++i)
       {
         A[i] = ((Byte)L.get(i)).byteValue();
       }
      return A;
    }
    
   public static List toList(Iterator I)
    {
      ArrayList L = new ArrayList();
      while (I.hasNext() == true)
       {
         L.add(I.next());
       }
      return L;
    }
   public static List toList(Object[] A)
    {
      ArrayList L = new ArrayList();
      for (int i = 0; i < A.length; ++i)
       {
         L.add(A[i]);
       }
      return L;
    }
 }
