/////////////////////////////////////////////////////////////////////////
//IBM Confidential
//
//OCO Source Materials
//
//PID xxxx-xxx
//
// Copyright IBM Corp.  2003
//
//The source code for this program is not published or other-
//wise divested of its trade secrets, irrespective of what has
//been deposited with the U.S. Copyright Office.
/////////////////////////////////////////////////////////////////////////
/*
 * Created on Oct 3, 2003
 */
package com.ibm.odcb.jrender.misc;

import javax.servlet.http.HttpServletRequest;

/**
 * @author fenil
 */
public class ServletURLRewriter implements URLRewriter {

	private String path;
	private static String pathPrefix = null;
	public ServletURLRewriter(HttpServletRequest request) {
		this.path = request.getContextPath();
		//RATLC01083006
		if(pathPrefix == null)
			pathPrefix = Config.getString(Config.PROP_PATH_PREFIX);
		if (this.path.endsWith("/")) {
			this.path = this.path.substring(0, this.path.length() - 1);
		}
	}

	/* (non-Javadoc)
	 * @see com.ibm.odcb.jrender.misc.URLRewriter#Rewrite(java.lang.String)
	 */
	public String Rewrite(String Url) {
		if (Url.startsWith("/")) {
			return this.path + "/" + pathPrefix + Url;
		} else {
			return this.path + "/" + pathPrefix + "/" + Url;
		}
	}

}
