/////////////////////////////////////////////////////////////////////////
//IBM Confidential
//  
//OCO Source Materials
//  
//5724-E76 and 5724-E77
//  
// Copyright IBM Corp.  2003
//  
//The source code for this program is not published or other-
//wise divested of its trade secrets, irrespective of what has
//been deposited with the U.S. Copyright Office.
/////////////////////////////////////////////////////////////////////////
package com.ibm.faces.bf.component;

/**
 * <strong>UIGraphDraw</strong> is a {@link javax.faces.component.UIComponent UIComponent}
 * that represents the client-side graph draw control.
 * <p>
 * <b>Tags:</b> {@link com.ibm.faces.bf.taglib.GraphDrawTag}<br>
 * <b>Renderers:</b> {@link com.ibm.faces.bf.renderkit.GraphDrawRenderer}
 * </p>
 * @see UIBrowserFramework
 * @author	Fenil Shah
 * @author	Vidya Rao
 */
public class UIGraphDraw extends UIBrowserFramework {

	/* 
	 * @see javax.faces.component.UIComponent#getFamily()
	 */
	public String getFamily() {
		return COMPONENT_FAMILY;
	}

	/**
	 * <p>The standard component family for this component.</p>
	 */
	private static final String COMPONENT_FAMILY = "com.ibm.faces.bf.GraphDraw";
	

}
