/////////////////////////////////////////////////////////////////////////
//IBM Confidential
//
//OCO Source Materials
//
//5724-E76 and 5724-E77
//
// Copyright IBM Corp.  2003
//
//The source code for this program is not published or other-
//wise divested of its trade secrets, irrespective of what has
//been deposited with the U.S. Copyright Office.
/////////////////////////////////////////////////////////////////////////

/*
* Created on Apr 9, 2003
*
*/
package com.ibm.odcb.jrender.emitters;


/**
* Helper class for the <code>TabbedPanelEmitter</code>. This class is used
* to specify the information for the button panel in the tabbed panel.
* @author Declan Fahey
*/
public class ButtonPanelEmitter {

	
	protected String  _panelID;
	protected String _alignContent;
	
	/**
	 * Constructor.
	 * @param panelID the id for this panel
	 */
	public ButtonPanelEmitter(String panelID, String alignContent)
	{
		this.Init(panelID, alignContent);
	}
	
	/**
	 * Initializer for this <code>ButtonPanelEmitter</code>. Same as the constructor.
	 * @param panelID
	 */
	public void Init(String panelID, String alignContent)
	{
		_panelID = panelID;
		this._alignContent = alignContent;
					 
	}
		
	public String getPanelID() { return _panelID; }
	
	public String getAlignContent() { return this._alignContent; }
	
}