/////////////////////////////////////////////////////////////////////////
//IBM Confidential
//
//OCO Source Materials
//
//5724-E76 and 5724-E77
//
// Copyright IBM Corp.  2003
//
//The source code for this program is not published or other-
//wise divested of its trade secrets, irrespective of what has
//been deposited with the U.S. Copyright Office.
/////////////////////////////////////////////////////////////////////////
package com.ibm.odcb.jrender.emitters;

/**
 * @author Breffni Coffey <br>
 * <code>ColDataEmitterHelper</code> is a helper class for the <code>NodeAttributeEmitterHelper</code>.
 * This class supplies the metadata to the <code>NodeAttributeEmitterHelper</code> to construct a column.
 */

public class ColDataEmitterHelper 
{
	private String AttributeName;
	/**
	 * @return Returns the _eAttributeName.
	 */
	public String getAttributeName() 
	{
		return AttributeName;
	}
	/**
	 * @param attributeName The _eAttributeName to set.
	 */
	public void addAttributeName(String attributeName) 
	{
		AttributeName = attributeName;
	}
}
