/////////////////////////////////////////////////////////////////////////
//  IBM Confidential
//  
//  OCO Source Materials
//  
//  PID xxxx-xxx
//  
//   Copyright IBM Corp.  2003
//  
//  The source code for this program is not published or other-
//  wise divested of its trade secrets, irrespective of what has
//  been deposited with the U.S. Copyright Office.
/////////////////////////////////////////////////////////////////////////



package com.ibm.odcb.jrender.misc;


public class Enum extends Object 
 {
   public static final String COPYRIGHT = com.ibm.odcb.utilities.IBMCopyright.SHORT_COPYRIGHT;
   
   public Enum(int ID, String Name) 
    {
      _ID   = ID  ;
      _Name = Name;
    }
    
   protected final int    _ID      ;
   protected final String _Name    ;
  
   public int getID()
    {
      return _ID;
    }
  
   public String getName()
    {
      return _Name;
    }
    
   protected static Enum ResolveType(String Name, Enum[] Vals, String EnumName)
    {
      if (Name == null)
       return null;
    
      for (int i = 0; i < Vals.length; ++i)
       if (Name.equals(Vals[i].getName()))
        return Vals[i];
    
      Streamer.error.Header().print("Unknown '" + EnumName + "' value '"+Name+"'.")
                             .print(" Valid values are: "+Vals[0].getName());
      for (int i = 1; i < Vals.length; ++i)
       Streamer.error.print(", ").print(Vals[i].getName());
      Streamer.error.println();
      return null;
    }
    
   public boolean equals(Enum rhs)
    {
      return (this.getClass().getName().equals(rhs.getClass().getName()) && _ID == rhs._ID);
    }
 }
